Check if a report is available for a given period

Checks which reconciliation report versions (legacy, v1/WFS) are available for a given partner and date. Delegates to mp-payment-reporting GET /v3/report/reconreport/reconReportAvailability. Note: the upstream date param is named date (not reportDate).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

partnerIdstringRequiredformat: "^[0-9]{1,50}$"

Numeric partner/seller ID

datedateRequired

Report date in yyyy-MM-dd format

Response

Success
availableDateslist of stringsOptional
isWfsReportPresentbooleanOptional
isLegacyReportPresentbooleanOptional
isMtReportPresentbooleanOptional

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error